/**
 * Java
 *
 * Copyright 2008-2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */ 
package com.is2t.elflw;

import com.is2t.elflw.nodes.DynamicAllocationSection;
import com.is2t.elflw.nodes.ElfRelocatableUnit;
import com.is2t.elflw.nodes.ProgAllocationSection;
import com.is2t.elflw.nodes.ProgControlSection;
import com.is2t.elflw.nodes.RelocationEntry;
import com.is2t.elflw.nodes.RelocationSection;
import com.is2t.elflw.nodes.StringSection;
import com.is2t.elflw.nodes.SymbolTableEntry;
import com.is2t.elflw.nodes.SymbolTableSection;
import com.is2t.elflw.nodes.TargetSpecificSection;

public interface ElfGenerator{

	public void generateElfRelocatableUnit(ElfRelocatableUnit node);

	public void generateSymbolTableSection(SymbolTableSection node);

	public void generateStringSection(StringSection node);

	public void generateRelocationSection(RelocationSection node);

	public void generateRelocationEntry(RelocationEntry node);

	public void generateDynamicAllocationSection(DynamicAllocationSection node);

	public void generateProgAllocationSection(ProgAllocationSection node);

	public void generateProgControlSection(ProgControlSection node);

	public void generateSymbolTableEntry(SymbolTableEntry node);

	public void generateTargetSpecificSection(TargetSpecificSection node);

}
