/*
 * Java
 *
 * Copyright 2008-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.nodes;

import com.is2t.elflw.ElfGenerator;

/**
 * An {@link ElfRelocatableUnit} is composed of
 * <li>an header</li>
 * <li>a set of sections</li>
 */
public class ElfRelocatableUnit extends ElfUnit {

	public ElfRelocatableUnit(int machine, boolean lsbAndNotMsb, int abiVersion, int flags) {
		super(machine, lsbAndNotMsb, abiVersion, flags);
	}

	@Override
	public void generateUsing(ElfGenerator gen) {
		gen.generateElfRelocatableUnit(this);
	}

}
