/*
 * Java
 *
 * Copyright 2008-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.nodes;

import com.is2t.elflw.ElfGenerator;

/**
 * Section which represent target specific bytes (exec , data, debug data, ...) Splitted into 2 sub-sections -
 * ProgAllocationSection : real atomic blocks of the program (exe, data) - ProgControlSection : for example debug data
 * ... ProgSection are the only sections that can be modified (by relocation instructions)
 */
public abstract class ProgSection extends Section {

	public ProgSection(int alignment) {
		super(alignment);
	}

	@Override
	public abstract void generateUsing(ElfGenerator gen);

	@Override
	public abstract int size();
}
