/**
 * Java
 *
 * Copyright 2008-2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.nodes;

import com.is2t.elflw.ElfGenerator;


/**
 * Target Secific section
 * A sequence of bytes that can be manipulated by a generic object (may be null)
 */
public class TargetSpecificSection extends Section{
	
	public int type;
	public byte[] data;
	
	public Object generic;
	
	public TargetSpecificSection(int alignment, int type, byte[] data, Object generic) {
		super(alignment);
		this.type = type;
		this.data = data;
		this.generic = generic;
	}

	public void generateUsing(ElfGenerator gen) {
		gen.generateTargetSpecificSection(this);
	}

	public int size() {
		return data.length;
	}
}
