package com.is2t.elflw.support;

import com.is2t.elflw.ElfConstants;


/**
 * Java
 *
 * Copyright 2008-2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * ELF Header temporary structure
 */
public class Header{
	// e_ident
	public int e_ident_class;
	public int e_ident_data;
	public int e_ident_version;
	public int e_ident_osabi;
	public int e_ident_abiversion;	

	public int e_type;		//object file type
	public int e_machine;	//machine type
	public int e_version;	//object file version
	public int e_entry;		//virtual address to which the system first transfers control, thus starting process
	public int e_phoff;		//program header table's file offset in bytes, 0 if no program header table
	public int e_shoff;		//section header table's file offset in bytes, 0 if no section header table
	public int e_flags;		//holds processor specific flags associated with the file
	public int e_ehsize;	//ELF header's size
	public int e_phentsize;	//size in bytes of one entry in the program header table
	public int e_phnum;		//number of entries in the program header table
	public int e_shentsize;	//size in bytes of one entry in the section header table
	public int e_shnum;		//number of entries in the section program header table
	public int e_shstrndx;	//holds the section header table index of the entry associated with the section name string table

	public boolean lsbAndNotMsb() {
		return e_ident_data == ElfConstants.ELFDATA2LSB;
	}
}
